#include "Boite.h"

void ApplyForceAndTorqueCallback (const NewtonBody * nBody)
{
   // Cette fonction est une fonction Callback. Elle sera appele  chaque fois
   // qu'une modification aura lieu sur le corps
   // On rcupre en premier lieu la masse ainsi que l'inertie
   GLfloat masse; // Contiendra la masse de l'objet pris en paramtre par la fonction
   CVector inertie; // Contiendra l'inertie du corps
   CVector force; // Spcifiera la force applique sur le corps

   NewtonBodyGetMassMatrix (nBody, &masse, &inertie.x, &inertie.y, &inertie.z);

   force.x = 0.0f;
   force.y = -masse * 9.81; // 9.81 est l'attraction gravitationnelle de la Terre
   force.z = 0.0f;

   NewtonBodyAddForce (nBody, &force.x); // On ajoute la force au corps
}

Objet::Objet ()
   : m_pBody (NULL)
{
   // Ne fait rien
}

Objet::~Objet ()
{
   NewtonDestroyBody (NewtonBodyGetWorld (m_pBody), m_pBody);
}

Boite::Boite ()
   : Objet ()
{
   // Ne fais rien
}
