#ifndef OBJET_H
#define OBJET_H

#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <Newton/Newton.h> // Fichier d'include pour utiliser le Newton Engine
#include "CVector.h"

// Structure matrix
struct matrix
{
   GLfloat matrice [4][4];
};

class Objet
{
   // Fonction amie qui se chargera d'appliquer les forces  l'objet.
   // Elle sera utilise en fonction Callback par le Newton Engine
   friend void ApplyForceAndTorqueCallback (const NewtonBody * nBody);

   public:
      Objet (); // Constructeur
      virtual ~Objet (); // Destructeur

      virtual void Initialiser () {m_masse = 0.0f;}; // Classe pure
      virtual void Dessiner () = 0;
      virtual void SetColor (const CVector &) = 0;

   protected:
      NewtonBody * m_pBody; // Pointeur vers un NewtonBody
      GLfloat m_masse; // Masse de l'objet
      CVector m_couleur; // Couleur de l'objet
};

#endif // OBJET_H
